Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.SystemMemory Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, allocate region memory from system shared memory instead of from heap memory or memory backed by the filesystem.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool SystemMemory

Visual Basic (Declaration)
    Public SystemMemory As Boolean

Visual C++
    public:
    bool SystemMemory

# Remarks

See Shared Memory Regions in the Programmer's Reference Guide for more information.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace